IP subnet calculator
Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.
Network232.0.0.0/8
Usable hosts16,777,214
Subnet mask255.0.0.0
Addresses16,777,216
- Network address
232.0.0.0- Broadcast address
232.255.255.255- First usable
232.0.0.1- Last usable
232.255.255.254- Usable hosts
- 16,777,214 (16,777,216 less the network and broadcast addresses)
- Subnet mask
255.0.0.0- Wildcard mask
0.255.255.255(Cisco ACLs, OSPF)- Prefix length
- /8
- Type
- Multicast 224.0.0.0/4
One-to-many traffic, such as IPTV and routing protocols - Old class
- D (multicast)
- As numbers
- Hex
E8000000· Integer3892314112to3909091327 - Reverse DNS zone
232.in-addr.arpa
Binary
| Binary (network bits bold, host bits grey) | Dotted | |
|---|---|---|
| Address | 11101000..00000000.00000000.00000000 | 232.0.0.0 |
| Subnet mask | 11111111..00000000.00000000.00000000 | 255.0.0.0 |
| Network | 11101000..00000000.00000000.00000000 | 232.0.0.0 |
| Broadcast | 11101000..11111111.11111111.11111111 | 232.255.255.255 |
Split into smaller subnets
/9 (2)/10 (4)/11 (8)/12 (16)/13 (32)/14 (64)/15 (128)/16 (256)/17 (512)/18 (1,024)/19 (2,048)/20 (4,096)
232.0.0.0/8 makes 256 subnets of /16.
| # | Subnet | Usable hosts range | Broadcast | Hosts |
|---|---|---|---|---|
| 1 | 232.0.0.0/16 | 232.0.0.1 to 232.0.255.254 | 232.0.255.255 | 65,534 |
| 2 | 232.1.0.0/16 | 232.1.0.1 to 232.1.255.254 | 232.1.255.255 | 65,534 |
| 3 | 232.2.0.0/16 | 232.2.0.1 to 232.2.255.254 | 232.2.255.255 | 65,534 |
| 4 | 232.3.0.0/16 | 232.3.0.1 to 232.3.255.254 | 232.3.255.255 | 65,534 |
| 5 | 232.4.0.0/16 | 232.4.0.1 to 232.4.255.254 | 232.4.255.255 | 65,534 |
| 6 | 232.5.0.0/16 | 232.5.0.1 to 232.5.255.254 | 232.5.255.255 | 65,534 |
| 7 | 232.6.0.0/16 | 232.6.0.1 to 232.6.255.254 | 232.6.255.255 | 65,534 |
| 8 | 232.7.0.0/16 | 232.7.0.1 to 232.7.255.254 | 232.7.255.255 | 65,534 |
| 9 | 232.8.0.0/16 | 232.8.0.1 to 232.8.255.254 | 232.8.255.255 | 65,534 |
| 10 | 232.9.0.0/16 | 232.9.0.1 to 232.9.255.254 | 232.9.255.255 | 65,534 |
| 11 | 232.10.0.0/16 | 232.10.0.1 to 232.10.255.254 | 232.10.255.255 | 65,534 |
| 12 | 232.11.0.0/16 | 232.11.0.1 to 232.11.255.254 | 232.11.255.255 | 65,534 |
| 13 | 232.12.0.0/16 | 232.12.0.1 to 232.12.255.254 | 232.12.255.255 | 65,534 |
| 14 | 232.13.0.0/16 | 232.13.0.1 to 232.13.255.254 | 232.13.255.255 | 65,534 |
| 15 | 232.14.0.0/16 | 232.14.0.1 to 232.14.255.254 | 232.14.255.255 | 65,534 |
| 16 | 232.15.0.0/16 | 232.15.0.1 to 232.15.255.254 | 232.15.255.255 | 65,534 |
| 17 | 232.16.0.0/16 | 232.16.0.1 to 232.16.255.254 | 232.16.255.255 | 65,534 |
| 18 | 232.17.0.0/16 | 232.17.0.1 to 232.17.255.254 | 232.17.255.255 | 65,534 |
| 19 | 232.18.0.0/16 | 232.18.0.1 to 232.18.255.254 | 232.18.255.255 | 65,534 |
| 20 | 232.19.0.0/16 | 232.19.0.1 to 232.19.255.254 | 232.19.255.255 | 65,534 |
| 21 | 232.20.0.0/16 | 232.20.0.1 to 232.20.255.254 | 232.20.255.255 | 65,534 |
| 22 | 232.21.0.0/16 | 232.21.0.1 to 232.21.255.254 | 232.21.255.255 | 65,534 |
| 23 | 232.22.0.0/16 | 232.22.0.1 to 232.22.255.254 | 232.22.255.255 | 65,534 |
| 24 | 232.23.0.0/16 | 232.23.0.1 to 232.23.255.254 | 232.23.255.255 | 65,534 |
| 25 | 232.24.0.0/16 | 232.24.0.1 to 232.24.255.254 | 232.24.255.255 | 65,534 |
| 26 | 232.25.0.0/16 | 232.25.0.1 to 232.25.255.254 | 232.25.255.255 | 65,534 |
| 27 | 232.26.0.0/16 | 232.26.0.1 to 232.26.255.254 | 232.26.255.255 | 65,534 |
| 28 | 232.27.0.0/16 | 232.27.0.1 to 232.27.255.254 | 232.27.255.255 | 65,534 |
| 29 | 232.28.0.0/16 | 232.28.0.1 to 232.28.255.254 | 232.28.255.255 | 65,534 |
| 30 | 232.29.0.0/16 | 232.29.0.1 to 232.29.255.254 | 232.29.255.255 | 65,534 |
| 31 | 232.30.0.0/16 | 232.30.0.1 to 232.30.255.254 | 232.30.255.255 | 65,534 |
| 32 | 232.31.0.0/16 | 232.31.0.1 to 232.31.255.254 | 232.31.255.255 | 65,534 |
| 33 | 232.32.0.0/16 | 232.32.0.1 to 232.32.255.254 | 232.32.255.255 | 65,534 |
| 34 | 232.33.0.0/16 | 232.33.0.1 to 232.33.255.254 | 232.33.255.255 | 65,534 |
| 35 | 232.34.0.0/16 | 232.34.0.1 to 232.34.255.254 | 232.34.255.255 | 65,534 |
| 36 | 232.35.0.0/16 | 232.35.0.1 to 232.35.255.254 | 232.35.255.255 | 65,534 |
| 37 | 232.36.0.0/16 | 232.36.0.1 to 232.36.255.254 | 232.36.255.255 | 65,534 |
| 38 | 232.37.0.0/16 | 232.37.0.1 to 232.37.255.254 | 232.37.255.255 | 65,534 |
| 39 | 232.38.0.0/16 | 232.38.0.1 to 232.38.255.254 | 232.38.255.255 | 65,534 |
| 40 | 232.39.0.0/16 | 232.39.0.1 to 232.39.255.254 | 232.39.255.255 | 65,534 |
| 41 | 232.40.0.0/16 | 232.40.0.1 to 232.40.255.254 | 232.40.255.255 | 65,534 |
| 42 | 232.41.0.0/16 | 232.41.0.1 to 232.41.255.254 | 232.41.255.255 | 65,534 |
| 43 | 232.42.0.0/16 | 232.42.0.1 to 232.42.255.254 | 232.42.255.255 | 65,534 |
| 44 | 232.43.0.0/16 | 232.43.0.1 to 232.43.255.254 | 232.43.255.255 | 65,534 |
| 45 | 232.44.0.0/16 | 232.44.0.1 to 232.44.255.254 | 232.44.255.255 | 65,534 |
| 46 | 232.45.0.0/16 | 232.45.0.1 to 232.45.255.254 | 232.45.255.255 | 65,534 |
| 47 | 232.46.0.0/16 | 232.46.0.1 to 232.46.255.254 | 232.46.255.255 | 65,534 |
| 48 | 232.47.0.0/16 | 232.47.0.1 to 232.47.255.254 | 232.47.255.255 | 65,534 |
| 49 | 232.48.0.0/16 | 232.48.0.1 to 232.48.255.254 | 232.48.255.255 | 65,534 |
| 50 | 232.49.0.0/16 | 232.49.0.1 to 232.49.255.254 | 232.49.255.255 | 65,534 |
| 51 | 232.50.0.0/16 | 232.50.0.1 to 232.50.255.254 | 232.50.255.255 | 65,534 |
| 52 | 232.51.0.0/16 | 232.51.0.1 to 232.51.255.254 | 232.51.255.255 | 65,534 |
| 53 | 232.52.0.0/16 | 232.52.0.1 to 232.52.255.254 | 232.52.255.255 | 65,534 |
| 54 | 232.53.0.0/16 | 232.53.0.1 to 232.53.255.254 | 232.53.255.255 | 65,534 |
| 55 | 232.54.0.0/16 | 232.54.0.1 to 232.54.255.254 | 232.54.255.255 | 65,534 |
| 56 | 232.55.0.0/16 | 232.55.0.1 to 232.55.255.254 | 232.55.255.255 | 65,534 |
| 57 | 232.56.0.0/16 | 232.56.0.1 to 232.56.255.254 | 232.56.255.255 | 65,534 |
| 58 | 232.57.0.0/16 | 232.57.0.1 to 232.57.255.254 | 232.57.255.255 | 65,534 |
| 59 | 232.58.0.0/16 | 232.58.0.1 to 232.58.255.254 | 232.58.255.255 | 65,534 |
| 60 | 232.59.0.0/16 | 232.59.0.1 to 232.59.255.254 | 232.59.255.255 | 65,534 |
| 61 | 232.60.0.0/16 | 232.60.0.1 to 232.60.255.254 | 232.60.255.255 | 65,534 |
| 62 | 232.61.0.0/16 | 232.61.0.1 to 232.61.255.254 | 232.61.255.255 | 65,534 |
| 63 | 232.62.0.0/16 | 232.62.0.1 to 232.62.255.254 | 232.62.255.255 | 65,534 |
| 64 | 232.63.0.0/16 | 232.63.0.1 to 232.63.255.254 | 232.63.255.255 | 65,534 |
| 65 | 232.64.0.0/16 | 232.64.0.1 to 232.64.255.254 | 232.64.255.255 | 65,534 |
| 66 | 232.65.0.0/16 | 232.65.0.1 to 232.65.255.254 | 232.65.255.255 | 65,534 |
| 67 | 232.66.0.0/16 | 232.66.0.1 to 232.66.255.254 | 232.66.255.255 | 65,534 |
| 68 | 232.67.0.0/16 | 232.67.0.1 to 232.67.255.254 | 232.67.255.255 | 65,534 |
| 69 | 232.68.0.0/16 | 232.68.0.1 to 232.68.255.254 | 232.68.255.255 | 65,534 |
| 70 | 232.69.0.0/16 | 232.69.0.1 to 232.69.255.254 | 232.69.255.255 | 65,534 |
| 71 | 232.70.0.0/16 | 232.70.0.1 to 232.70.255.254 | 232.70.255.255 | 65,534 |
| 72 | 232.71.0.0/16 | 232.71.0.1 to 232.71.255.254 | 232.71.255.255 | 65,534 |
| 73 | 232.72.0.0/16 | 232.72.0.1 to 232.72.255.254 | 232.72.255.255 | 65,534 |
| 74 | 232.73.0.0/16 | 232.73.0.1 to 232.73.255.254 | 232.73.255.255 | 65,534 |
| 75 | 232.74.0.0/16 | 232.74.0.1 to 232.74.255.254 | 232.74.255.255 | 65,534 |
| 76 | 232.75.0.0/16 | 232.75.0.1 to 232.75.255.254 | 232.75.255.255 | 65,534 |
| 77 | 232.76.0.0/16 | 232.76.0.1 to 232.76.255.254 | 232.76.255.255 | 65,534 |
| 78 | 232.77.0.0/16 | 232.77.0.1 to 232.77.255.254 | 232.77.255.255 | 65,534 |
| 79 | 232.78.0.0/16 | 232.78.0.1 to 232.78.255.254 | 232.78.255.255 | 65,534 |
| 80 | 232.79.0.0/16 | 232.79.0.1 to 232.79.255.254 | 232.79.255.255 | 65,534 |
| 81 | 232.80.0.0/16 | 232.80.0.1 to 232.80.255.254 | 232.80.255.255 | 65,534 |
| 82 | 232.81.0.0/16 | 232.81.0.1 to 232.81.255.254 | 232.81.255.255 | 65,534 |
| 83 | 232.82.0.0/16 | 232.82.0.1 to 232.82.255.254 | 232.82.255.255 | 65,534 |
| 84 | 232.83.0.0/16 | 232.83.0.1 to 232.83.255.254 | 232.83.255.255 | 65,534 |
| 85 | 232.84.0.0/16 | 232.84.0.1 to 232.84.255.254 | 232.84.255.255 | 65,534 |
| 86 | 232.85.0.0/16 | 232.85.0.1 to 232.85.255.254 | 232.85.255.255 | 65,534 |
| 87 | 232.86.0.0/16 | 232.86.0.1 to 232.86.255.254 | 232.86.255.255 | 65,534 |
| 88 | 232.87.0.0/16 | 232.87.0.1 to 232.87.255.254 | 232.87.255.255 | 65,534 |
| 89 | 232.88.0.0/16 | 232.88.0.1 to 232.88.255.254 | 232.88.255.255 | 65,534 |
| 90 | 232.89.0.0/16 | 232.89.0.1 to 232.89.255.254 | 232.89.255.255 | 65,534 |
| 91 | 232.90.0.0/16 | 232.90.0.1 to 232.90.255.254 | 232.90.255.255 | 65,534 |
| 92 | 232.91.0.0/16 | 232.91.0.1 to 232.91.255.254 | 232.91.255.255 | 65,534 |
| 93 | 232.92.0.0/16 | 232.92.0.1 to 232.92.255.254 | 232.92.255.255 | 65,534 |
| 94 | 232.93.0.0/16 | 232.93.0.1 to 232.93.255.254 | 232.93.255.255 | 65,534 |
| 95 | 232.94.0.0/16 | 232.94.0.1 to 232.94.255.254 | 232.94.255.255 | 65,534 |
| 96 | 232.95.0.0/16 | 232.95.0.1 to 232.95.255.254 | 232.95.255.255 | 65,534 |
| 97 | 232.96.0.0/16 | 232.96.0.1 to 232.96.255.254 | 232.96.255.255 | 65,534 |
| 98 | 232.97.0.0/16 | 232.97.0.1 to 232.97.255.254 | 232.97.255.255 | 65,534 |
| 99 | 232.98.0.0/16 | 232.98.0.1 to 232.98.255.254 | 232.98.255.255 | 65,534 |
| 100 | 232.99.0.0/16 | 232.99.0.1 to 232.99.255.254 | 232.99.255.255 | 65,534 |
| 101 | 232.100.0.0/16 | 232.100.0.1 to 232.100.255.254 | 232.100.255.255 | 65,534 |
| 102 | 232.101.0.0/16 | 232.101.0.1 to 232.101.255.254 | 232.101.255.255 | 65,534 |
| 103 | 232.102.0.0/16 | 232.102.0.1 to 232.102.255.254 | 232.102.255.255 | 65,534 |
| 104 | 232.103.0.0/16 | 232.103.0.1 to 232.103.255.254 | 232.103.255.255 | 65,534 |
| 105 | 232.104.0.0/16 | 232.104.0.1 to 232.104.255.254 | 232.104.255.255 | 65,534 |
| 106 | 232.105.0.0/16 | 232.105.0.1 to 232.105.255.254 | 232.105.255.255 | 65,534 |
| 107 | 232.106.0.0/16 | 232.106.0.1 to 232.106.255.254 | 232.106.255.255 | 65,534 |
| 108 | 232.107.0.0/16 | 232.107.0.1 to 232.107.255.254 | 232.107.255.255 | 65,534 |
| 109 | 232.108.0.0/16 | 232.108.0.1 to 232.108.255.254 | 232.108.255.255 | 65,534 |
| 110 | 232.109.0.0/16 | 232.109.0.1 to 232.109.255.254 | 232.109.255.255 | 65,534 |
| 111 | 232.110.0.0/16 | 232.110.0.1 to 232.110.255.254 | 232.110.255.255 | 65,534 |
| 112 | 232.111.0.0/16 | 232.111.0.1 to 232.111.255.254 | 232.111.255.255 | 65,534 |
| 113 | 232.112.0.0/16 | 232.112.0.1 to 232.112.255.254 | 232.112.255.255 | 65,534 |
| 114 | 232.113.0.0/16 | 232.113.0.1 to 232.113.255.254 | 232.113.255.255 | 65,534 |
| 115 | 232.114.0.0/16 | 232.114.0.1 to 232.114.255.254 | 232.114.255.255 | 65,534 |
| 116 | 232.115.0.0/16 | 232.115.0.1 to 232.115.255.254 | 232.115.255.255 | 65,534 |
| 117 | 232.116.0.0/16 | 232.116.0.1 to 232.116.255.254 | 232.116.255.255 | 65,534 |
| 118 | 232.117.0.0/16 | 232.117.0.1 to 232.117.255.254 | 232.117.255.255 | 65,534 |
| 119 | 232.118.0.0/16 | 232.118.0.1 to 232.118.255.254 | 232.118.255.255 | 65,534 |
| 120 | 232.119.0.0/16 | 232.119.0.1 to 232.119.255.254 | 232.119.255.255 | 65,534 |
| 121 | 232.120.0.0/16 | 232.120.0.1 to 232.120.255.254 | 232.120.255.255 | 65,534 |
| 122 | 232.121.0.0/16 | 232.121.0.1 to 232.121.255.254 | 232.121.255.255 | 65,534 |
| 123 | 232.122.0.0/16 | 232.122.0.1 to 232.122.255.254 | 232.122.255.255 | 65,534 |
| 124 | 232.123.0.0/16 | 232.123.0.1 to 232.123.255.254 | 232.123.255.255 | 65,534 |
| 125 | 232.124.0.0/16 | 232.124.0.1 to 232.124.255.254 | 232.124.255.255 | 65,534 |
| 126 | 232.125.0.0/16 | 232.125.0.1 to 232.125.255.254 | 232.125.255.255 | 65,534 |
| 127 | 232.126.0.0/16 | 232.126.0.1 to 232.126.255.254 | 232.126.255.255 | 65,534 |
| 128 | 232.127.0.0/16 | 232.127.0.1 to 232.127.255.254 | 232.127.255.255 | 65,534 |
| 129 | 232.128.0.0/16 | 232.128.0.1 to 232.128.255.254 | 232.128.255.255 | 65,534 |
| 130 | 232.129.0.0/16 | 232.129.0.1 to 232.129.255.254 | 232.129.255.255 | 65,534 |
| 131 | 232.130.0.0/16 | 232.130.0.1 to 232.130.255.254 | 232.130.255.255 | 65,534 |
| 132 | 232.131.0.0/16 | 232.131.0.1 to 232.131.255.254 | 232.131.255.255 | 65,534 |
| 133 | 232.132.0.0/16 | 232.132.0.1 to 232.132.255.254 | 232.132.255.255 | 65,534 |
| 134 | 232.133.0.0/16 | 232.133.0.1 to 232.133.255.254 | 232.133.255.255 | 65,534 |
| 135 | 232.134.0.0/16 | 232.134.0.1 to 232.134.255.254 | 232.134.255.255 | 65,534 |
| 136 | 232.135.0.0/16 | 232.135.0.1 to 232.135.255.254 | 232.135.255.255 | 65,534 |
| 137 | 232.136.0.0/16 | 232.136.0.1 to 232.136.255.254 | 232.136.255.255 | 65,534 |
| 138 | 232.137.0.0/16 | 232.137.0.1 to 232.137.255.254 | 232.137.255.255 | 65,534 |
| 139 | 232.138.0.0/16 | 232.138.0.1 to 232.138.255.254 | 232.138.255.255 | 65,534 |
| 140 | 232.139.0.0/16 | 232.139.0.1 to 232.139.255.254 | 232.139.255.255 | 65,534 |
| 141 | 232.140.0.0/16 | 232.140.0.1 to 232.140.255.254 | 232.140.255.255 | 65,534 |
| 142 | 232.141.0.0/16 | 232.141.0.1 to 232.141.255.254 | 232.141.255.255 | 65,534 |
| 143 | 232.142.0.0/16 | 232.142.0.1 to 232.142.255.254 | 232.142.255.255 | 65,534 |
| 144 | 232.143.0.0/16 | 232.143.0.1 to 232.143.255.254 | 232.143.255.255 | 65,534 |
| 145 | 232.144.0.0/16 | 232.144.0.1 to 232.144.255.254 | 232.144.255.255 | 65,534 |
| 146 | 232.145.0.0/16 | 232.145.0.1 to 232.145.255.254 | 232.145.255.255 | 65,534 |
| 147 | 232.146.0.0/16 | 232.146.0.1 to 232.146.255.254 | 232.146.255.255 | 65,534 |
| 148 | 232.147.0.0/16 | 232.147.0.1 to 232.147.255.254 | 232.147.255.255 | 65,534 |
| 149 | 232.148.0.0/16 | 232.148.0.1 to 232.148.255.254 | 232.148.255.255 | 65,534 |
| 150 | 232.149.0.0/16 | 232.149.0.1 to 232.149.255.254 | 232.149.255.255 | 65,534 |
| 151 | 232.150.0.0/16 | 232.150.0.1 to 232.150.255.254 | 232.150.255.255 | 65,534 |
| 152 | 232.151.0.0/16 | 232.151.0.1 to 232.151.255.254 | 232.151.255.255 | 65,534 |
| 153 | 232.152.0.0/16 | 232.152.0.1 to 232.152.255.254 | 232.152.255.255 | 65,534 |
| 154 | 232.153.0.0/16 | 232.153.0.1 to 232.153.255.254 | 232.153.255.255 | 65,534 |
| 155 | 232.154.0.0/16 | 232.154.0.1 to 232.154.255.254 | 232.154.255.255 | 65,534 |
| 156 | 232.155.0.0/16 | 232.155.0.1 to 232.155.255.254 | 232.155.255.255 | 65,534 |
| 157 | 232.156.0.0/16 | 232.156.0.1 to 232.156.255.254 | 232.156.255.255 | 65,534 |
| 158 | 232.157.0.0/16 | 232.157.0.1 to 232.157.255.254 | 232.157.255.255 | 65,534 |
| 159 | 232.158.0.0/16 | 232.158.0.1 to 232.158.255.254 | 232.158.255.255 | 65,534 |
| 160 | 232.159.0.0/16 | 232.159.0.1 to 232.159.255.254 | 232.159.255.255 | 65,534 |
| 161 | 232.160.0.0/16 | 232.160.0.1 to 232.160.255.254 | 232.160.255.255 | 65,534 |
| 162 | 232.161.0.0/16 | 232.161.0.1 to 232.161.255.254 | 232.161.255.255 | 65,534 |
| 163 | 232.162.0.0/16 | 232.162.0.1 to 232.162.255.254 | 232.162.255.255 | 65,534 |
| 164 | 232.163.0.0/16 | 232.163.0.1 to 232.163.255.254 | 232.163.255.255 | 65,534 |
| 165 | 232.164.0.0/16 | 232.164.0.1 to 232.164.255.254 | 232.164.255.255 | 65,534 |
| 166 | 232.165.0.0/16 | 232.165.0.1 to 232.165.255.254 | 232.165.255.255 | 65,534 |
| 167 | 232.166.0.0/16 | 232.166.0.1 to 232.166.255.254 | 232.166.255.255 | 65,534 |
| 168 | 232.167.0.0/16 | 232.167.0.1 to 232.167.255.254 | 232.167.255.255 | 65,534 |
| 169 | 232.168.0.0/16 | 232.168.0.1 to 232.168.255.254 | 232.168.255.255 | 65,534 |
| 170 | 232.169.0.0/16 | 232.169.0.1 to 232.169.255.254 | 232.169.255.255 | 65,534 |
| 171 | 232.170.0.0/16 | 232.170.0.1 to 232.170.255.254 | 232.170.255.255 | 65,534 |
| 172 | 232.171.0.0/16 | 232.171.0.1 to 232.171.255.254 | 232.171.255.255 | 65,534 |
| 173 | 232.172.0.0/16 | 232.172.0.1 to 232.172.255.254 | 232.172.255.255 | 65,534 |
| 174 | 232.173.0.0/16 | 232.173.0.1 to 232.173.255.254 | 232.173.255.255 | 65,534 |
| 175 | 232.174.0.0/16 | 232.174.0.1 to 232.174.255.254 | 232.174.255.255 | 65,534 |
| 176 | 232.175.0.0/16 | 232.175.0.1 to 232.175.255.254 | 232.175.255.255 | 65,534 |
| 177 | 232.176.0.0/16 | 232.176.0.1 to 232.176.255.254 | 232.176.255.255 | 65,534 |
| 178 | 232.177.0.0/16 | 232.177.0.1 to 232.177.255.254 | 232.177.255.255 | 65,534 |
| 179 | 232.178.0.0/16 | 232.178.0.1 to 232.178.255.254 | 232.178.255.255 | 65,534 |
| 180 | 232.179.0.0/16 | 232.179.0.1 to 232.179.255.254 | 232.179.255.255 | 65,534 |
| 181 | 232.180.0.0/16 | 232.180.0.1 to 232.180.255.254 | 232.180.255.255 | 65,534 |
| 182 | 232.181.0.0/16 | 232.181.0.1 to 232.181.255.254 | 232.181.255.255 | 65,534 |
| 183 | 232.182.0.0/16 | 232.182.0.1 to 232.182.255.254 | 232.182.255.255 | 65,534 |
| 184 | 232.183.0.0/16 | 232.183.0.1 to 232.183.255.254 | 232.183.255.255 | 65,534 |
| 185 | 232.184.0.0/16 | 232.184.0.1 to 232.184.255.254 | 232.184.255.255 | 65,534 |
| 186 | 232.185.0.0/16 | 232.185.0.1 to 232.185.255.254 | 232.185.255.255 | 65,534 |
| 187 | 232.186.0.0/16 | 232.186.0.1 to 232.186.255.254 | 232.186.255.255 | 65,534 |
| 188 | 232.187.0.0/16 | 232.187.0.1 to 232.187.255.254 | 232.187.255.255 | 65,534 |
| 189 | 232.188.0.0/16 | 232.188.0.1 to 232.188.255.254 | 232.188.255.255 | 65,534 |
| 190 | 232.189.0.0/16 | 232.189.0.1 to 232.189.255.254 | 232.189.255.255 | 65,534 |
| 191 | 232.190.0.0/16 | 232.190.0.1 to 232.190.255.254 | 232.190.255.255 | 65,534 |
| 192 | 232.191.0.0/16 | 232.191.0.1 to 232.191.255.254 | 232.191.255.255 | 65,534 |
| 193 | 232.192.0.0/16 | 232.192.0.1 to 232.192.255.254 | 232.192.255.255 | 65,534 |
| 194 | 232.193.0.0/16 | 232.193.0.1 to 232.193.255.254 | 232.193.255.255 | 65,534 |
| 195 | 232.194.0.0/16 | 232.194.0.1 to 232.194.255.254 | 232.194.255.255 | 65,534 |
| 196 | 232.195.0.0/16 | 232.195.0.1 to 232.195.255.254 | 232.195.255.255 | 65,534 |
| 197 | 232.196.0.0/16 | 232.196.0.1 to 232.196.255.254 | 232.196.255.255 | 65,534 |
| 198 | 232.197.0.0/16 | 232.197.0.1 to 232.197.255.254 | 232.197.255.255 | 65,534 |
| 199 | 232.198.0.0/16 | 232.198.0.1 to 232.198.255.254 | 232.198.255.255 | 65,534 |
| 200 | 232.199.0.0/16 | 232.199.0.1 to 232.199.255.254 | 232.199.255.255 | 65,534 |
| 201 | 232.200.0.0/16 | 232.200.0.1 to 232.200.255.254 | 232.200.255.255 | 65,534 |
| 202 | 232.201.0.0/16 | 232.201.0.1 to 232.201.255.254 | 232.201.255.255 | 65,534 |
| 203 | 232.202.0.0/16 | 232.202.0.1 to 232.202.255.254 | 232.202.255.255 | 65,534 |
| 204 | 232.203.0.0/16 | 232.203.0.1 to 232.203.255.254 | 232.203.255.255 | 65,534 |
| 205 | 232.204.0.0/16 | 232.204.0.1 to 232.204.255.254 | 232.204.255.255 | 65,534 |
| 206 | 232.205.0.0/16 | 232.205.0.1 to 232.205.255.254 | 232.205.255.255 | 65,534 |
| 207 | 232.206.0.0/16 | 232.206.0.1 to 232.206.255.254 | 232.206.255.255 | 65,534 |
| 208 | 232.207.0.0/16 | 232.207.0.1 to 232.207.255.254 | 232.207.255.255 | 65,534 |
| 209 | 232.208.0.0/16 | 232.208.0.1 to 232.208.255.254 | 232.208.255.255 | 65,534 |
| 210 | 232.209.0.0/16 | 232.209.0.1 to 232.209.255.254 | 232.209.255.255 | 65,534 |
| 211 | 232.210.0.0/16 | 232.210.0.1 to 232.210.255.254 | 232.210.255.255 | 65,534 |
| 212 | 232.211.0.0/16 | 232.211.0.1 to 232.211.255.254 | 232.211.255.255 | 65,534 |
| 213 | 232.212.0.0/16 | 232.212.0.1 to 232.212.255.254 | 232.212.255.255 | 65,534 |
| 214 | 232.213.0.0/16 | 232.213.0.1 to 232.213.255.254 | 232.213.255.255 | 65,534 |
| 215 | 232.214.0.0/16 | 232.214.0.1 to 232.214.255.254 | 232.214.255.255 | 65,534 |
| 216 | 232.215.0.0/16 | 232.215.0.1 to 232.215.255.254 | 232.215.255.255 | 65,534 |
| 217 | 232.216.0.0/16 | 232.216.0.1 to 232.216.255.254 | 232.216.255.255 | 65,534 |
| 218 | 232.217.0.0/16 | 232.217.0.1 to 232.217.255.254 | 232.217.255.255 | 65,534 |
| 219 | 232.218.0.0/16 | 232.218.0.1 to 232.218.255.254 | 232.218.255.255 | 65,534 |
| 220 | 232.219.0.0/16 | 232.219.0.1 to 232.219.255.254 | 232.219.255.255 | 65,534 |
| 221 | 232.220.0.0/16 | 232.220.0.1 to 232.220.255.254 | 232.220.255.255 | 65,534 |
| 222 | 232.221.0.0/16 | 232.221.0.1 to 232.221.255.254 | 232.221.255.255 | 65,534 |
| 223 | 232.222.0.0/16 | 232.222.0.1 to 232.222.255.254 | 232.222.255.255 | 65,534 |
| 224 | 232.223.0.0/16 | 232.223.0.1 to 232.223.255.254 | 232.223.255.255 | 65,534 |
| 225 | 232.224.0.0/16 | 232.224.0.1 to 232.224.255.254 | 232.224.255.255 | 65,534 |
| 226 | 232.225.0.0/16 | 232.225.0.1 to 232.225.255.254 | 232.225.255.255 | 65,534 |
| 227 | 232.226.0.0/16 | 232.226.0.1 to 232.226.255.254 | 232.226.255.255 | 65,534 |
| 228 | 232.227.0.0/16 | 232.227.0.1 to 232.227.255.254 | 232.227.255.255 | 65,534 |
| 229 | 232.228.0.0/16 | 232.228.0.1 to 232.228.255.254 | 232.228.255.255 | 65,534 |
| 230 | 232.229.0.0/16 | 232.229.0.1 to 232.229.255.254 | 232.229.255.255 | 65,534 |
| 231 | 232.230.0.0/16 | 232.230.0.1 to 232.230.255.254 | 232.230.255.255 | 65,534 |
| 232 | 232.231.0.0/16 | 232.231.0.1 to 232.231.255.254 | 232.231.255.255 | 65,534 |
| 233 | 232.232.0.0/16 | 232.232.0.1 to 232.232.255.254 | 232.232.255.255 | 65,534 |
| 234 | 232.233.0.0/16 | 232.233.0.1 to 232.233.255.254 | 232.233.255.255 | 65,534 |
| 235 | 232.234.0.0/16 | 232.234.0.1 to 232.234.255.254 | 232.234.255.255 | 65,534 |
| 236 | 232.235.0.0/16 | 232.235.0.1 to 232.235.255.254 | 232.235.255.255 | 65,534 |
| 237 | 232.236.0.0/16 | 232.236.0.1 to 232.236.255.254 | 232.236.255.255 | 65,534 |
| 238 | 232.237.0.0/16 | 232.237.0.1 to 232.237.255.254 | 232.237.255.255 | 65,534 |
| 239 | 232.238.0.0/16 | 232.238.0.1 to 232.238.255.254 | 232.238.255.255 | 65,534 |
| 240 | 232.239.0.0/16 | 232.239.0.1 to 232.239.255.254 | 232.239.255.255 | 65,534 |
| 241 | 232.240.0.0/16 | 232.240.0.1 to 232.240.255.254 | 232.240.255.255 | 65,534 |
| 242 | 232.241.0.0/16 | 232.241.0.1 to 232.241.255.254 | 232.241.255.255 | 65,534 |
| 243 | 232.242.0.0/16 | 232.242.0.1 to 232.242.255.254 | 232.242.255.255 | 65,534 |
| 244 | 232.243.0.0/16 | 232.243.0.1 to 232.243.255.254 | 232.243.255.255 | 65,534 |
| 245 | 232.244.0.0/16 | 232.244.0.1 to 232.244.255.254 | 232.244.255.255 | 65,534 |
| 246 | 232.245.0.0/16 | 232.245.0.1 to 232.245.255.254 | 232.245.255.255 | 65,534 |
| 247 | 232.246.0.0/16 | 232.246.0.1 to 232.246.255.254 | 232.246.255.255 | 65,534 |
| 248 | 232.247.0.0/16 | 232.247.0.1 to 232.247.255.254 | 232.247.255.255 | 65,534 |
| 249 | 232.248.0.0/16 | 232.248.0.1 to 232.248.255.254 | 232.248.255.255 | 65,534 |
| 250 | 232.249.0.0/16 | 232.249.0.1 to 232.249.255.254 | 232.249.255.255 | 65,534 |
| 251 | 232.250.0.0/16 | 232.250.0.1 to 232.250.255.254 | 232.250.255.255 | 65,534 |
| 252 | 232.251.0.0/16 | 232.251.0.1 to 232.251.255.254 | 232.251.255.255 | 65,534 |
| 253 | 232.252.0.0/16 | 232.252.0.1 to 232.252.255.254 | 232.252.255.255 | 65,534 |
| 254 | 232.253.0.0/16 | 232.253.0.1 to 232.253.255.254 | 232.253.255.255 | 65,534 |
| 255 | 232.254.0.0/16 | 232.254.0.1 to 232.254.255.254 | 232.254.255.255 | 65,534 |
| 256 | 232.255.0.0/16 | 232.255.0.1 to 232.255.255.254 | 232.255.255.255 | 65,534 |
IPv4 CIDR reference (/0 to /32)
| Prefix | Subnet mask | Wildcard | Addresses | Usable hosts | Size | Typical use |
|---|---|---|---|---|---|---|
| /0 | 0.0.0.0 | 255.255.255.255 | 4,294,967,296 | 4,294,967,294 | 16,777,216 × /24 | |
| /1 | 128.0.0.0 | 127.255.255.255 | 2,147,483,648 | 2,147,483,646 | 8,388,608 × /24 | |
| /2 | 192.0.0.0 | 63.255.255.255 | 1,073,741,824 | 1,073,741,822 | 4,194,304 × /24 | |
| /3 | 224.0.0.0 | 31.255.255.255 | 536,870,912 | 536,870,910 | 2,097,152 × /24 | |
| /4 | 240.0.0.0 | 15.255.255.255 | 268,435,456 | 268,435,454 | 1,048,576 × /24 | |
| /5 | 248.0.0.0 | 7.255.255.255 | 134,217,728 | 134,217,726 | 524,288 × /24 | |
| /6 | 252.0.0.0 | 3.255.255.255 | 67,108,864 | 67,108,862 | 262,144 × /24 | |
| /7 | 254.0.0.0 | 1.255.255.255 | 33,554,432 | 33,554,430 | 131,072 × /24 | |
| /8 | 255.0.0.0 | 0.255.255.255 | 16,777,216 | 16,777,214 | 65,536 × /24 | Old class A; 10.0.0.0/8 |
| /9 | 255.128.0.0 | 0.127.255.255 | 8,388,608 | 8,388,606 | 32,768 × /24 | |
| /10 | 255.192.0.0 | 0.63.255.255 | 4,194,304 | 4,194,302 | 16,384 × /24 | |
| /11 | 255.224.0.0 | 0.31.255.255 | 2,097,152 | 2,097,150 | 8,192 × /24 | |
| /12 | 255.240.0.0 | 0.15.255.255 | 1,048,576 | 1,048,574 | 4,096 × /24 | 172.16.0.0/12 |
| /13 | 255.248.0.0 | 0.7.255.255 | 524,288 | 524,286 | 2,048 × /24 | |
| /14 | 255.252.0.0 | 0.3.255.255 | 262,144 | 262,142 | 1,024 × /24 | |
| /15 | 255.254.0.0 | 0.1.255.255 | 131,072 | 131,070 | 512 × /24 | |
| /16 | 255.255.0.0 | 0.0.255.255 | 65,536 | 65,534 | 256 × /24 | Old class B; 192.168.0.0/16 |
| /17 | 255.255.128.0 | 0.0.127.255 | 32,768 | 32,766 | 128 × /24 | |
| /18 | 255.255.192.0 | 0.0.63.255 | 16,384 | 16,382 | 64 × /24 | |
| /19 | 255.255.224.0 | 0.0.31.255 | 8,192 | 8,190 | 32 × /24 | |
| /20 | 255.255.240.0 | 0.0.15.255 | 4,096 | 4,094 | 16 × /24 | |
| /21 | 255.255.248.0 | 0.0.7.255 | 2,048 | 2,046 | 8 × /24 | |
| /22 | 255.255.252.0 | 0.0.3.255 | 1,024 | 1,022 | 4 × /24 | Large office or guest Wi-Fi (1,022 hosts) |
| /23 | 255.255.254.0 | 0.0.1.255 | 512 | 510 | 2 × /24 | Larger office LAN (510 hosts) |
| /24 | 255.255.255.0 | 0.0.0.255 | 256 | 254 | 1 × /24 | Typical office LAN (old class C) |
| /25 | 255.255.255.128 | 0.0.0.127 | 128 | 126 | 1/2 of a /24 | Smaller LAN or VLAN |
| /26 | 255.255.255.192 | 0.0.0.63 | 64 | 62 | 1/4 of a /24 | Smaller LAN or VLAN |
| /27 | 255.255.255.224 | 0.0.0.31 | 32 | 30 | 1/8 of a /24 | Small VLAN, phones, cameras |
| /28 | 255.255.255.240 | 0.0.0.15 | 16 | 14 | 1/16 of a /24 | Small VLAN, phones, cameras |
| /29 | 255.255.255.248 | 0.0.0.7 | 8 | 6 | 1/32 of a /24 | Small fixed public block (5 usable) |
| /30 | 255.255.255.252 | 0.0.0.3 | 4 | 2 | 1/64 of a /24 | Point-to-point (old style) |
| /31 | 255.255.255.254 | 0.0.0.1 | 2 | 2 | 1/128 of a /24 | Point-to-point link (RFC 3021) |
| /32 | 255.255.255.255 | 0.0.0.0 | 1 | 1 | 1/256 of a /24 | One host |
IPv6 prefix reference
| Prefix | Addresses | /64 LANs | /48 sites | Nibble | Typical use |
|---|---|---|---|---|---|
| /3 | 42,535,295,865,117,307,932,921,825,928,971,026,432 (2^125) | 2,305,843,009,213,693,952 | 35,184,372,088,832 | No | All global unicast (2000::/3) |
| /16 | 5,192,296,858,534,827,628,530,496,329,220,096 (2^112) | 281,474,976,710,656 | 4,294,967,296 | Yes | |
| /20 | 324,518,553,658,426,726,783,156,020,576,256 (2^108) | 17,592,186,044,416 | 268,435,456 | Yes | Large provider allocation (RIPE minimum for some) |
| /29 | 633,825,300,114,114,700,748,351,602,688 (2^99) | 34,359,738,368 | 524,288 | No | RIPE allocation to a provider (often) |
| /32 | 79,228,162,514,264,337,593,543,950,336 (2^96) | 4,294,967,296 | 65,536 | Yes | Provider allocation (RIPE default) |
| /36 | 4,951,760,157,141,521,099,596,496,896 (2^92) | 268,435,456 | 4,096 | Yes | |
| /40 | 309,485,009,821,345,068,724,781,056 (2^88) | 16,777,216 | 256 | Yes | |
| /44 | 19,342,813,113,834,066,795,298,816 (2^84) | 1,048,576 | 16 | Yes | |
| /48 | 1,208,925,819,614,629,174,706,176 (2^80) | 65,536 | 1 | Yes | One site or organisation (RIPE PI / assignment) |
| /52 | 75,557,863,725,914,323,419,136 (2^76) | 4,096 | Yes | ||
| /56 | 4,722,366,482,869,645,213,696 (2^72) | 256 | Yes | Small site or home (common provider assignment) | |
| /60 | 295,147,905,179,352,825,856 (2^68) | 16 | Yes | Some home broadband (16 LANs) | |
| /64 | 18,446,744,073,709,551,616 (2^64) | 1 | Yes | One LAN or VLAN (needed for SLAAC) | |
| /72 | 72,057,594,037,927,936 (2^56) | 1/256 of a /64 | Yes | ||
| /80 | 281,474,976,710,656 (2^48) | 1/65,536 of a /64 | Yes | ||
| /96 | 4,294,967,296 | 1/4,294,967,296 of a /64 | Yes | Embeds an IPv4 address (NAT64) | |
| /112 | 65,536 | 1/281,474,976,710,656 of a /64 | Yes | ||
| /120 | 256 | 1/72,057,594,037,927,936 of a /64 | Yes | ||
| /124 | 16 | 1/1,152,921,504,606,846,976 of a /64 | Yes | ||
| /126 | 4 | 1/4,611,686,018,427,387,904 of a /64 | No | ||
| /127 | 2 | 1/9,223,372,036,854,775,808 of a /64 | No | Point-to-point link (RFC 6164) | |
| /128 | 1 | 1/18,446,744,073,709,551,616 of a /64 | Yes | One host or loopback |
Private and special ranges
IPv4
| Range | Name | What it is |
|---|---|---|
255.255.255.255/32 | Limited broadcast | Every host on the local network |
0.0.0.0/8 | This network | Not routed; 0.0.0.0 means "any address" in settings |
10.0.0.0/8 | Private (RFC 1918) | Office and home networks; not routed on the internet |
100.64.0.0/10 | Shared address space (CGNAT) | Used by providers behind carrier-grade NAT (RFC 6598) |
127.0.0.0/8 | Loopback | This computer |
169.254.0.0/16 | Link-local (APIPA) | Self-assigned when no DHCP server answers |
172.16.0.0/12 | Private (RFC 1918) | Office and home networks; not routed on the internet |
192.0.0.0/24 | IETF protocol assignments | Special uses such as DS-Lite |
192.0.2.0/24 | Documentation (TEST-NET-1) | For examples; never used on a network |
192.88.99.0/24 | 6to4 relay (deprecated) | Formerly anycast for 6to4 |
192.168.0.0/16 | Private (RFC 1918) | Office and home networks; not routed on the internet |
198.18.0.0/15 | Benchmarking | Network equipment testing (RFC 2544) |
198.51.100.0/24 | Documentation (TEST-NET-2) | For examples; never used on a network |
203.0.113.0/24 | Documentation (TEST-NET-3) | For examples; never used on a network |
224.0.0.0/4 | Multicast | One-to-many traffic, such as IPTV and routing protocols |
240.0.0.0/4 | Reserved | Future use; not usable on most systems |
IPv6
| Range | Name | What it is |
|---|---|---|
::/128 | Unspecified | No address; :: means "any address" in settings |
::1/128 | Loopback | This computer |
::ffff:0:0/96 | IPv4-mapped | An IPv4 address written as IPv6 |
64:ff9b::/96 | NAT64 | IPv4 addresses reached through a NAT64 gateway |
100::/64 | Discard only | Traffic sent here is dropped (RFC 6666) |
2001:db8::/32 | Documentation | For examples; never used on a network |
2001::/32 | Teredo | IPv6 tunnelled over IPv4 UDP |
2002::/16 | 6to4 | IPv6 tunnelled over IPv4 (largely retired) |
3fff::/20 | Documentation | For examples (RFC 9637) |
fc00::/7 | Unique local (ULA) | Private IPv6, like RFC 1918; usually fd00::/8 |
fe80::/10 | Link-local | Every IPv6 interface has one; not routed |
ff00::/8 | Multicast | One-to-many traffic; replaces broadcast |
2000::/3 | Global unicast | Public internet addresses |